<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ProgressListener (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ProgressListener (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/tooling/events/SkippedResult.html" title="interface in org.gradle.tooling.events"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/events/ProgressListener.html" target="_top">Frames</a></li>
<li><a href="ProgressListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.events</div>
<h2 title="Interface ProgressListener" class="title">Interface ProgressListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ProgressListener</span></pre>
<div class="block">A listener which is notified when operations that are executed as part of running a build make progress.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.5</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/tooling/LongRunningOperation.html#addProgressListener(org.gradle.tooling.events.ProgressListener)"><code>LongRunningOperation.addProgressListener(ProgressListener)</code></a>, 
<a href="../../../../org/gradle/tooling/LongRunningOperation.html#addProgressListener(org.gradle.tooling.events.ProgressListener,%20java.util.Set)"><code>LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/tooling/events/ProgressListener.html#statusChanged(org.gradle.tooling.events.ProgressEvent)">statusChanged</a></strong>(<a href="../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events">ProgressEvent</a>&nbsp;event)</code>
<div class="block">Called when the execution of an operation progresses.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="statusChanged(org.gradle.tooling.events.ProgressEvent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>statusChanged</h4>
<pre>void&nbsp;statusChanged(<a href="../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events">ProgressEvent</a>&nbsp;event)</pre>
<div class="block">Called when the execution of an operation progresses.

 The following operation-specific events are currently issued:
 <ul>
     <li><a href="../../../../org/gradle/tooling/events/test/TestStartEvent.html" title="interface in org.gradle.tooling.events.test"><code>TestStartEvent</code></a></li>
     <li><a href="../../../../org/gradle/tooling/events/test/TestFinishEvent.html" title="interface in org.gradle.tooling.events.test"><code>TestFinishEvent</code></a></li>
     <li><a href="../../../../org/gradle/tooling/events/task/TaskStartEvent.html" title="interface in org.gradle.tooling.events.task"><code>TaskStartEvent</code></a></li>
     <li><a href="../../../../org/gradle/tooling/events/task/TaskFinishEvent.html" title="interface in org.gradle.tooling.events.task"><code>TaskFinishEvent</code></a></li>
 </ul>

 For all other operations, the following generic events are currently issued :
 <ul>
     <li><a href="../../../../org/gradle/tooling/events/StartEvent.html" title="interface in org.gradle.tooling.events"><code>StartEvent</code></a></li>
     <li><a href="../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events"><code>FinishEvent</code></a></li>
 </ul>

 You can find out more about the operation for which progress is reported
 by querying the descriptor using <a href="../../../../org/gradle/tooling/events/ProgressEvent.html#getDescriptor()"><code>ProgressEvent.getDescriptor()</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>event</code> - An event describing the operation progress.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/tooling/events/test/TestProgressEvent.html" title="interface in org.gradle.tooling.events.test"><code>TestProgressEvent</code></a>, 
<a href="../../../../org/gradle/tooling/events/task/TaskProgressEvent.html" title="interface in org.gradle.tooling.events.task"><code>TaskProgressEvent</code></a>, 
<a href="../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events"><code>ProgressEvent</code></a></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/tooling/events/SkippedResult.html" title="interface in org.gradle.tooling.events"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/events/ProgressListener.html" target="_top">Frames</a></li>
<li><a href="ProgressListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
